Bug 1321 - Samba only shows 400 files, when the share is on a FAT32 partition
Samba only shows 400 files, when the share is on a FAT32 partition
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.2a
All Windows XP
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-05 04:35 UTC by Uwe Weissenbacher
Modified: 2005-08-24 10:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Uwe Weissenbacher 2004-05-05 04:35:23 UTC
I recently upgraded from 2.2.8a to 3.0.2a. Since then my roommate (using Windows
XP) was bot able to see all the files on a share. The share is on a FAT32
partition and contains about 1300 files, but he only gets 400. If I mount the
share locally or on my notebook (both Gentoo Linux), I can see all the files.
If I move the share on a ext3 partition, my roommate can see all the files again.
This definitely worked on version 2.2.8a (I downgraded today, to test this
issue) und broke with the 3.0.2a update (did not change anything in the config).

I am using Kernel 2.4.25.
Comment 1 Björn Jacke 2004-06-19 18:17:30 UTC
maybe a charset problem?
Comment 2 Uwe Weissenbacher 2004-06-20 01:44:17 UTC
(In reply to comment #1)
> maybe a charset problem?

Thank you. Enabling the internationalization fixed the problem. Maybe v 2.2 had
the right default settings for me.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:24:03 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.